methods: [post]

fields:
  profile{display_name}:
    required:
      msg:             The username field cannot be left blank
    sfStringValidator:
      min:             3
      min_error:       This username is too short (3 characters minimum)
      max:             20
      max_error:       This username is too long (20 characters maximum)
    sfBlacklistValidator:
      blacklist:       [admin, leto, leto115, contact, info, infos, commercial, tech, support, sales, partnership, webmaster, business, owner, faq, funnypronos,funny, prono, pronos]
      case_sensitive:  no
      trim:            yes
      blacklist_error: The username you requested is not available
    sfRegexValidator:
      match:           yes
      match_error:     Your username should contains only alphanumeric, dash, dot or underscore characters, and begin with a letter.
      pattern:         "/^[a-zA-Z]([a-zA-Z0-9._-]+)$/"

  profile{first_name}:
    sfRegexValidator:
      match:           yes
      match_error:     Your firstname should contains only alphanumeric
      pattern:         "/^[a-zA-Z' -]+$/"

  profile{last_name}:
    sfRegexValidator:
      match:           yes
      match_error:     Your lastname should contains only alphanumeric
      pattern:         "/^[a-zA-Z' -]+$/"

  profile{gmt_time}:
    required:
      msg:             Please input the Time Zone

  profile{language}:
    required:
      msg:              Please enter a language

  profile{country}:
    required:
      msg:              Please enter a country 